*CMZ :          26/08/2001  19.07.03  by  Andrei Minaenko
*-- Author :    Andrei Minaenko   09/11/97
      subroutine user_ini
      implicit none
      include 'hec_runh.inc'
      include 'hec_par.inc'
      include 'hec_geo.inc'
      character htit*80
      include 'hec_datacard.inc'
      integer nrun, irun, j, istat, i
*KEEP,sv_hist_num.
      integer idhist
      common/sv_hist_num/idhist


*KEND.
      real buff(500)
C ----------- end CDE --------------------------------------------------
*
*
C===
      call hropen(63,'indata','hbsave.rz','u',1024,istat)
      if (istat.eq.0) then
        call hrin(0,99999,0)
        call hrend('indata')
        close(63)
        call hunpak(1,buff,' ',0)
        nrun=buff(1)
        irun=nrun+1
      else
        irun=1
        nrun=0
C===    Book histogram to keep run parameters
        htit='Save run parameters$'
        call hbook1(1,htit,500,1.,501.,0.)
        write(htit,*)'Break point positions; trig_wac_epi$'
        call hbook1(51,htit,500,1200.,2200.,0.0)
        write(htit,*)'Position of peak1; trig_wac_epi$'
        call hbook1(61,htit,100,8.,12.,0.0)
        write(htit,*)'Position of peak2; trig_wac_epi$'
        call hbook1(62,htit,100,8.,12.,0.0)
        write(htit,*)'Break point positions; trig_wac_c$'
        call hbook1(1051,htit,500,1200.,2200.,0.0)
        write(htit,*)'Position of peak1; trig_wac_c$'
        call hbook1(1061,htit,100,8.,12.,0.0)
        write(htit,*)'Position of peak2; trig_wac_c$'
        call hbook1(1062,htit,100,8.,12.,0.0)
      endif				! istat.eq.0
      idhist=100+20*(irun-1)
C===    Fill histogram #1
      buff(1)=irun
      j=4*(irun-1)+1
      buff(j+1)=run_no
      buff(j+2)=e_beam+10000*i_part
      buff(j+3)=x_cryo
      buff(j+4)=y_tabl
      call hpak(1,buff)
C===    Book histograms
      do i=1,2
        write(htit,*)'dN/d(itdc) run=',run_no
        call hbook1(idhist+1,htit,500,1000.,3000.,0.0)
        write(htit,*)'dN/d(E_max_cell) in ADC  run=',run_no
        call hbook1(idhist+2,htit,130,0.,1300.,0.0)
        write(htit,*)'dN/d(t_max)  run=',run_no
        call hbook1(idhist+3,htit,200,7.,11.,0.0)
        write(htit,*)'dN/d(t_max+tdc_raw)  run=',run_no
        call hbook1(idhist+4,htit,200,8.,12.,0.0)
        write(htit,*)'dN/d(t_max+tdc_corr)  run=',run_no
        call hbook1(idhist+5,htit,200,8.,12.,0.0)
        write(htit,*)'dN/d(t_max+tdc_corr) tdc_check run=',run_no
        call hbook1(idhist+6,htit,200,8.,12.,0.0)
        write(htit,*)'tdc vs t_max run=',run_no
        call hbook2(idhist+7,htit,200,7.,11.,100,0.,2.,0.0)
        write(htit,*)'tmax vs (t_max+tdc) run=',run_no
        call hbook2(idhist+8,htit,200,7.,11.,200,7.,11.,0.0)
        write(htit,*)'tdc vs (t_max+tdc) run=',run_no
C        call hbook2(idhist+9,htit,200,8.,12.,100,0.,2.,0.0)
        write(htit,*)'dN/d(itdc) left peak; run=',run_no
        call hbook1(idhist+11,htit,500,1000.,3000.,0.0)
        write(htit,*)'dN/d(itdc) right peak;run=',run_no
        call hbook1(idhist+12,htit,500,1000.,3000.,0.0)
C===    For trig_wac_c
        if (i.eq.1) idhist = idhist + 1000
      enddo
        idhist = idhist - 1000
      END          ! USER_INI


